> ## Documentation Index
> Fetch the complete documentation index at: https://developers.activeprospect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Ping URL

> When a lead vendor only provides a TrustedForm Certificate URL, you can
generate a new Ping URL for the Certificate. Simply append `/ping_url` to
the Certificate URL and perform an unauthenticated `GET`.

Each call to this endpoint will generate a new Ping URL, they are all
equally valid.

A successful call to this endpoint does not guarantee that the Certificate
URL you have provided is valid and unexpired. The
[standard Certificate expiration window](https://community.activeprospect.com/questions/4077147) still
applies.




## OpenAPI

````yaml /api-reference/trustedform_v3.json get /{cert_id}/ping_url
openapi: 3.0.0
info:
  contact:
    email: support@activeprospect.com
    name: ActiveProspect Support Team
    url: https://support.activeprospect.com
  description: >
    # Overview


    ## Claiming


    Claiming a certificate will allow you to verify its legitimacy, view it

    online, access its data via our API, and refer to the snapshot that was

    taken of the page as seen by the consumer, for up to 30 days. And you

    can easily configure your account to keep certificates for as long as

    you like, for a small additional fee.


    ### Claim Period


    The "claim period" is the time in which a TrustedForm Certificate must

    be claimed or extended by a TrustedForm Account holder. If it's not, it

    will expire.


    * The standard claim period is approximately 72 hours (3 days).

    * The extended claim period is approximately 2,160 hours (90 days).


    Within the claim period, TrustedForm Certificates are visible to anyone

    with access to the TrustedForm Certificate URL. After this period,

    TrustedForm Certificates are only accessible by the TrustedForm account

    holders that claimed them.


    ## Extended Certs


    By default, Web Certs have a 72-hour (3 days) window in which they can

    be claimed. This window is automatically expanded to 90 days if we

    detect the form's submission.


    If you have need to extend Certs beyond the default 3-day window, you

    have a couple options:


    1. Cert check-in

    2. Enable extended claims


    ### Cert Check-in


    ActiveProspect provides TrustedForm Check-in to allow TrustedForm

    account holders to extend the claim period of certificates beyond the

    standard claim period. Checking a certificate in extends the claim

    period without the need to either claim the certificate or have

    "Extended Claims" enabled on the publishing account.


    ### Enable Extended Claims


    When you enable extended claims, Certificates you claim will

    automatically be extended and available to be claimed up to 90 days.


    Reach out to your account representative to enable extended claims.


    ## Ping (Deprecated)


    The TrustedForm Ping API is meant to be used by lead buyers purchasing

    leads using the "ping/post" model. This API gives buyers access to that

    data with the intention that it will be called when the buyer is

    evaluating a ping request from a seller. The buyer can then use the

    returned data to set an appropriate bid price.


    ### Comparison to Claim API


    The Ping API does not replace the TrustedForm Claim process. The Ping

    API cannot be used to verify or store consent for TCPA compliance. It

    does not support page scanning, fingerprinting, replay, or certificate

    storage.


    Please refer to the [Getting Started with
    Claiming](/pages/trustedform/getting-started)

    for details on claiming a certificate.


    # Other information


    ## Prerequisites


    * [Add the TrustedForm
    script](https://activeprospect.com/products/trustedform-for-publishers/) to
    your lead forms.

    * Contact support@activeprospect.com to receive an API key.
  termsOfService: https://activeprospect.com/trustedform-eula
  title: TrustedForm Claiming API
  version: 3.0.0
servers:
  - description: The base URL for production.
    url: https://cert.trustedform.com
    variables: {}
security: []
tags: []
externalDocs:
  description: ActiveProspect Community
  url: https://developers.activeprospect.com/
paths:
  /{cert_id}/ping_url:
    get:
      tags:
        - Ping
      summary: Generate Ping URL
      description: >
        When a lead vendor only provides a TrustedForm Certificate URL, you can

        generate a new Ping URL for the Certificate. Simply append `/ping_url`
        to

        the Certificate URL and perform an unauthenticated `GET`.


        Each call to this endpoint will generate a new Ping URL, they are all

        equally valid.


        A successful call to this endpoint does not guarantee that the
        Certificate

        URL you have provided is valid and unexpired. The

        [standard Certificate expiration
        window](https://community.activeprospect.com/questions/4077147) still

        applies.
      operationId: ClaimerWeb.PingController.url
      parameters:
        - description: Certificate ID
          in: path
          name: cert_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingURLResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Malformed Certificate URL
      callbacks: {}
      deprecated: true
      security: []
components:
  schemas:
    PingURLResponse:
      description: Returns the Ping URL
      example:
        url: >-
          https://ping.staging.trustedform.com/0.S1e4PrusJ8cXX47dWF_-yCn48kqaFkw4wf_8Ek8T8-uQrpvXakULNXFG0I5DpJVGU7FBmmjq.3UU-IBw5F8Ophz5cf2fzRw.IYJOyb_I7vkQbT3rDVm6wQ
      properties:
        url:
          description: |
            A Ping URL, generated from a Certificate URL
          type: string
      title: PingURLResponse
      type: object
      x-struct: Elixir.ClaimerWeb.Schemas.PingURLResponse
    BadRequest:
      example:
        errors:
          detail: Malformed certificate id
        message: Malformed certificate id
        outcome: error
        reason: Malformed certificate id
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
        message:
          type: string
        outcome:
          type: string
        reason:
          type: string
      required:
        - errors
        - message
        - outcome
        - reason
      title: BadRequest
      type: object
      x-struct: Elixir.ClaimerWeb.Schemas.BadRequest

````